#ifndef QPMain_h
#define QPMain_h

#include <QMainWindow>
#include "ui_qp.h"

class QPrinter;
class QPrintDialog;

class QPMain : public QMainWindow {

   Q_OBJECT

public:

   QPMain();

   virtual
   ~QPMain();

public slots:

   void
   printSetup();

   void
   print();

   void
   saveConfig();

   void
   loadConfig();

   void
   loadImage();

private:

   void
   SetViewSize(qreal width_inch, qreal height_inch);

   Ui::MainWindow ui;

   QPrinter * printer;

   QPrintDialog * printDialog;

   QPixmap * image;
};

#endif // QPMain_h
